/*----------------------------------------------------------------------------*
 * 
 *	file: ppmout.h
 * 
 *	function: vector or array to ppm file routines 
 *	author:   Yoonsuck Choe <yschoe@cs.utexas.edu>
 *	creation: Thu Sep 25 21:50:57 CDT 1997
 * 
 *	$Revision: 1.3 $ $Date: 1999/02/09 07:42:25 $
 *	$Log: ppmout.h,v $
 *	Revision 1.3  1999/02/09 07:42:25  yschoe
 *	*** empty log message ***
 *
 *	Revision 1.2  1998/09/04 03:36:37  yschoe
 *	fixed all warnings generated by -Wall
 *
 *	Revision 1.1  1998/07/23 01:07:05  yschoe
 *	jul22 stable version (except netlayer)
 *
 *----------------------------------------------------------------------------*/
#ifndef __PPMOUT
#define	__PPMOUT

#include <stdio.h>
#include "real.h"

#define COLOR_RANGE 256

/*----------------------------------------------------------------------------*
 *	vector_to_ppm() 
 *	  - save vector of REAL values to a color coded ppm file
 *----------------------------------------------------------------------------*/


extern  void	vector_to_ppm (const char *filename, REAL *vector, 
			int row, int col); // RGB

extern  void	vector_to_ppm_select (const char *filename, REAL *vector, 
			int row, int col, char *select); // RGB or HSV

#endif

