//----------------------------------------------------------------------------
// 
//	file: util.h
// 
//	function: common util routines 
//	author:   Yoonsuck Choe <yschoe@cs.utexas.edu>
//	creation: Tue Jul  7 01:16:44 CDT 1998
// 
//	$Revision: 1.4 $ $Date: 1998/11/17 12:47:19 $
//	$Log: util.h,v $
//	Revision 1.4  1998/11/17 12:47:19  yschoe
//	added disp_binary() for displaying binary strings for a given decimal
//
//	Revision 1.3  1998/10/16 10:08:04  yschoe
//	added warning()
//
//	Revision 1.2  1998/10/14 08:30:44  yschoe
//	changed error_exit() to handle variable argument
//
//	Revision 1.1  1998/07/23 01:07:05  yschoe
//	jul22 stable version (except netlayer)
//
//
//----------------------------------------------------------------------------
#ifndef __UTIL_H
#define __UTIL_H

#include <stdio.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <math.h>
#include <errno.h>

extern void error_exit(char *func, const char *format, ...);
extern void warning(char *func, const char *format, ...);
extern void disp_binary(int decimal);

#endif
