//----------------------------------------------------------------------------
// 
//	file: funcptr.cc
// 
//	function: test static member function 
//		  and invocation of member function with a macro
//	author:   Yoonsuck Choe <yschoe@cs.utexas.edu>
//	creation: Fri Oct  9 23:32:40 CDT 1998
// 
//	$Revision: 1.2 $ $Date: 1999/02/09 07:56:44 $
//	$Log: funcptrtest.cc,v $
//	Revision 1.2  1999/02/09 07:56:44  yschoe
//	test use of function pointer
//
//	Revision 1.1  1998/10/16 10:35:21  yschoe
//	Initial revision
//
//
//----------------------------------------------------------------------------
#include <iostream.h>
#include <string.h>
#include <stdlib.h>

// member function calling macro
#define callMemberFunction(obj,ptrToMember) ((obj)->*(ptrToMember))

class IntegerStat {

  int 	i_val;

public: 

  IntegerStat(int i) { i_val = i ; } 
  ~IntegerStat() {}

  static int parseString(char *str) { return atoi(str); }
  static int parseFloat(float f)   { return (int)f; }

  int  get() { return i_val; }
  void seti(int i) { i_val = i; }
  void setf(float f) { i_val = (int)f; }

};  
  
int main (int argc, char *argv[]) {

  // static function test
  cout << IntegerStat::parseString("12345") << endl;
  cout << IntegerStat::parseFloat((float)19.4293487) << endl;

  IntegerStat *is = new IntegerStat(100);
  void *vis = (void *)is;

  cout << is->get() << endl ;

  cout << "callMemberFunction test (integer)" << endl;
  callMemberFunction(is,IntegerStat::seti)(999);
  cout << is->get() << endl ;

  cout << "callMemberFunction test (float)" << endl;
  callMemberFunction(is,IntegerStat::setf)(123.456);
  cout << is->get() << endl ;

  cout << "callMemberFunction test (float) : from void* typed pointer" << endl;
  ((IntegerStat*)vis)->setf(123.456);
  cout << is->get() << endl ;

  
}

