//----------------------------------------------------------------------------
// 
//	file: memtest.cc
// 
//	function: test if +/- offsetting to allocated memory causes problems 
//	author:   Yoonsuck Choe <yschoe@cs.utexas.edu>
//	creation: Thu Sep 10 00:05:54 CDT 1998
// 
//	$Revision: 1.1 $ $Date: 1998/10/16 10:35:21 $
//	$Log: memtest.cc,v $
//	Revision 1.1  1998/10/16 10:35:21  yschoe
//	Initial revision
//
//
//----------------------------------------------------------------------------
#include <iostream.h>

int main (int argc, char *argv[]) {

  int lowx = 30, lowy = 20;
  int cols = 100, rows = 50;

  // 1. initialize
  int **ip = new int* [cols];
  
  for (int i=0; i<cols; ++i) {
    ip[i] = new int [rows];
    ip[i] = &ip[i][-lowy];
  }

  ip = &ip[-lowx];

  // 2. test it 
  for (int i=lowx ; i< lowx+cols; ++i)
	for (int j=lowy ; j<lowy+rows; ++j)
	     ip[i][j] = i*100+j;

  // 3. delete it
  ip = &ip[lowx];
  
  for (int i=0; i<cols; ++i) {
    ip[i] = &ip[i][lowy];
    delete [] ip[i];
  }

  delete [] ip;

}
   
   
