#
# function M = circrf2(X,rfsize)
# 	returns augmented RF array plot where each rf is outlined with
#	a black circle.
function M = circrf2(X,rfsize)

  [r,c] = size(X);

  nx = c/rfsize;
  ny = r/rfsize;

  pad = 3;

  rfrad = (rfsize-1)/2;
  
  # generate circle template
  ymat =  (1:rfsize+2)'*ones(1,rfsize+2).-(rfrad+1)-1;
  xmat =  ymat';

  circ = sign(sqrt(xmat.^2+ymat.^2).-(rfrad+1-0.5))-sign(sqrt(xmat.^2+ymat.^2).-(rfrad+1+0.5));
  circ = circ/2;
  circ = (sign(-circ+0.1)+1)/2;
  outcirc = (sign(sqrt(xmat.^2+ymat.^2).-(rfrad+2-0.5))+1)/2;

  # X = -X+256;

  # pad x
  M = ones(ny*(rfsize+pad)+1,nx*(rfsize+pad)+1)*255;
  for i=1:nx
     for j=1:ny
	  sx = 1+(i-1)*rfsize;
	  ex = i*rfsize;
	  sy = 1+(j-1)*rfsize;
	  ey = j*rfsize;
   	  
	  sx2 = 2+(i-1)*(rfsize+pad);
	  sy2 = 2+(j-1)*(rfsize+pad); 

	  M(sy2:(sy2+rfsize-1),sx2:(sx2+rfsize-1)) = X(sy:ey,sx:ex);

	  mm = M(sy2-1:(sy2-1+rfsize-1)+2,sx2-1:(sx2-1+rfsize-1)+2);
	  M(sy2-1:(sy2-1+rfsize-1)+2,sx2-1:(sx2-1+rfsize-1)+2) = max(min(circ*256,mm),outcirc*255);
     endfor
  endfor
 
  
  tmp = M;
  M = ones(ny*(rfsize+pad)+1,nx*(rfsize+pad)+1)*255;
  [r,c]=size(M);
  M(2:r,2:c) = tmp(1:r-1,1:c-1);

endfunction
