# function [X,Y] = cropnorm(xfile,yfile,s,e,xoutfile,youtfile)
#	Crop matrix X to (s:e),(s:e) and noramlize the values so that 
#	they lie in 0.0:1.0.
#	The zero values in the cropped part are bumped up to the min
#	of the remaining matrix.

function [X,Y] = cropnorm(xfile,yfile,s,e,xoutfile,youtfile)

  eval(sprintf("load -force %s;",xfile));
  eval(sprintf("load -force %s;",yfile));

  sx = XPositionPreference(s:e,s:e);
  sy = YPositionPreference(s:e,s:e);

  mx = nonzeromin(sx);
  my = nonzeromin(sy);
  
  sx = abs(thresh(sx-mx,0.00001)/max(vec(sx-mx))); 
  sy = abs(thresh(sy-my,0.00001)/max(vec(sy-my))); 

  XPositionPreference = sx;
  YPositionPreference = sy;

  X = sx;
  Y = sy;

  eval(sprintf("save -ascii %s XPositionPreference;",xoutfile));
  eval(sprintf("save -ascii %s YPositionPreference;",youtfile));

endfunction
