# function [f,g,vf,vg,l1,l2,mf,mg] = fracgaus(x,exponent)
#	returns f and g with same variance

function [nf,ng,vnf,vng,l1,l2,mf,mg] = fracgaus(x,e)

	f = 1./(x.^e);
	nf = f/sum(f);

	vnf = sum((x.^2).*nf);

	g = normal_pdf(x,0,vnf);
	ng = g/sum(g);

	vng = sum((x.^2).*ng);

	df = diff(sign(nf-ng));

	[mx,l2ix]=max(df);
	[mn,l1ix]=min(df);

	l1 = x(l1ix);
	l2 = x(l2ix);

 	mf = sum(x.*nf);
	mg = sum(x.*ng);

endfunction

