# M = gausoverlapall(n,[d_step])
#		In an n x n matrix, calculate the 
#		d values returned from gausoverlap for all possible
#		phi,delta,theta configuration and return the result in 
#		an n x n matrix. d_step is the delta step size (optional).

function M = gausoverlapall(n,d_step)

	if (nargin==1) 
		d_step = max(2,n/20);
	endif
	
	cx = round(n/2);
	cy = round(n/2);

	M = zeros(n,n);

 	d_max = round(n/2)-d_step;

	for phi=0:5:360
		for delta=d_step:d_step:d_max
			for theta=0:10:180
				[d,rf,input] = gausoverlap(n,phi,delta,theta);
			        tx = round(delta*cos(phi*pi/180.0))+cx;
        			ty = n-round(delta*sin(phi*pi/180.0))-cy+1;
				M(ty,tx)=max(d,M(ty,tx));
			endfor
		endfor
		# yimage([rf,input]);
	endfor
				
endfunction
