%  function ff = huegrad3(filename)
  function ff = huegrad3(im)

    % assume that the or pref matrix "im" contains 
    % values in the range [0.0..1.0].
  
    [r,c]=size(im); 
    dx = diff(im,1);
    dx=dx(1:r-1,1:c-1); 

    dy=diff(im',1)';
    dy=dy(1:r-1,1:c-1); 

    hist(vec(dx),100);
    hist(vec(dy),100);

    % First convert negative angle to 180+(neg_angle), an equivalent
    % positive angle.
    for i=1:r-1
	for j=1:c-1
		if (dx(i,j)<0.0)
			dx(i,j) += 1.0;
		endif
		if (dy(i,j)<0.0)
			dy(i,j) += 1.0;
		endif
         endfor
    endfor

    % Then, increase as gradient reachs 90\degree, and decrease from 
    % there on to % 180\degree
    dx = -abs(dx.-0.5) + 0.5;
    dy = -abs(dy.-0.5) + 0.5;

    yimage(sqrt(dx.^2+dy.^2),"graymap2");

    ff = [dx,dy];
  endfunction

