## Copyright (C) 2000 uschoe
##
## This file is part of Octave.
##
## Octave is free software; you can redistribute it and/or modify it
## under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2, or (at your option)
## any later version.
##
## Octave is distributed in the hope that it will be useful, but
## WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
## General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with Octave; see the file COPYING.  If not, write to the Free
## Software Foundation, 59 Temple Place - Suite 330, Boston, MA
## 02111-1307, USA.

## usage: P = pcavecview(M,n)
##
## Display up to the n'th principal components 
## as a m x m matrix where each column vector is m^2 in size.
## return a matrix P.
##

## Author: Yoonsuck Choe <yschoe@cs.utexas.edu>

function P = pcavecview (M,n)

	c = columns(M);
	r = rows(M);
	m = sqrt(r);
	
	P = [ vectomat(M(:,c),m) ];
	z = zeros(m,1);
	for i=c-1:-1:c-n+1
		v = vectomat(M(:,i),m);
		P = [ P z v ];
	endfor
	yimage(P);
		
endfunction
