## usage:  phideltheta3(nV,E,img)
##
##	nV: p x q matrix (energy values of edge elements)
##      E : p x q matrix (orientations of edge elements)
##
##      Finds the phi, delta, theta values from the given nV matrix
##      and dumps them to the file "<imagefile>.dmp"
##
##

function phideltheta3(nV,E,img)
      
        # get size of matrix
	[rows, cols] = size(nV);

        img=strcat(img,".dmp");
        printf("Image = '%s'\n",img);
	printf("cols = %d , rows = %d\n",cols,rows);
      
        #open output file for writing
        outfile=fopen(img,"w");
        #tmpfile=fopen("idmat.tmp","w");

        #initialize variables
        count=1;
        idtmp=[0,0];
        idmat=[0,0];      
      
	for i=1:rows
	for j=1:cols
	if (nV(i,j) > 0)
           idtmp=vec([i,j])';
           idmat=[idmat;idtmp];
           count=count+1;
        endif
        endfor
        endfor
            
       printf("Count = %d\n",count);
       #for i=1:count
       #   fprintf(tmpfile,"%d %d\n",idmat(i,1),idmat(i,2));
       #endfor   

       #fclose(tmpfile);

       #initialize matrices and variables
        curr=[0,0];
        next=[0,0];
        i=2;
        j=2;
        num=0;

     while (i<=count)
   
	     curr=idmat(i,:);
	     while (j<=count)
		next=idmat(j,:);

		if ((curr(1)!=next(1))||(curr(2)!=next(2)))
	    
			#printf("next = %d\n",next);
		   
		       theta1=E(next(1),next(2))-1;
		       theta2=E(curr(1),curr(2))-1;

		       theta=theta1 - theta2;
		       if (theta1<theta2)
				theta += 18;
		       endif
		
		       if (next(1) > curr(1))
		     
			   if (next(2) > curr(2)) 
		   
			     th=atan(abs(next(1)-curr(1))/abs(next(2)-curr(2)));
			     phi=(180/pi)*((2*pi)-th);
			     d=abs(next(1)-curr(1))/sin(th);
		      
			   endif
		      
			   if (next(2) < curr(2)) 
		      
			     th=atan(abs(next(2)-curr(2))/abs(next(1)-curr(1)));
			     phi=(180/pi)*(((3*pi)/2)-th);
			     d=abs(next(2)-curr(2))/sin(th);
			    
			   endif
		      
			   if (next(2) == curr(2)) 
		      
			     phi=270;
			     d=abs(next(1)-curr(1));
		      
			   endif
		      
			endif
		    
			if (next(1) < curr(1))
			 
			    if (next(2) > curr(2)) 
		       
			       th=atan(abs(next(1)-curr(1))/abs(next(2)-curr(2)));
			       phi=(180/pi)*th;
			       d=abs(next(1)-curr(1))/sin(th);
			  
			     endif
			  
			    if (next(2) < curr(2))
			  
			       th=atan(abs(next(2)-curr(2))/abs(next(1)-curr(1)));
			       phi=(180/pi)*((pi/2)+th);
			       d=abs(next(2)-curr(2))/sin(th);
				
			     endif
			  
			    if (next(2) == curr(2))
			  
			       phi=90;
			       d=abs(next(1)-curr(1));
			  
			    endif
			  
		       endif
		    
		       if (next(1) == curr(1))
		    
			   if (next(2) > curr(2)) 
			 
			     phi=0;
			     d=abs(next(2)-curr(2));
			     
			   endif
			 
			   if (next(2) < curr(2))
			 
			     phi=180;
			     d=abs(next(2)-curr(2));
				      
			   endif
			 
		       endif
	      else
		   
		      printf("all zero\n");
		      phi=0;
		      d=0;
		      theta=0;
	      endif
		    
	      #write phi, d, theta to output file
	      fprintf(outfile,"%d %d %d\n",phi,d,theta);
	      num=num+1;
	      
	      j=j+1;
	    endwhile
   
            i=i+1;
            j=2;
    endwhile
   
    #close output file
   fclose(outfile);

  printf("Total no: of phi,del,theta values = %d\n",num);
 
 endfunction

