//	file: plotinput.ss
//		parse conf file and dump ppm file
//----------------------------------------------------------------------------
// 
//	file: inputlisttest.cc
// 
//	function: test inputlist class 
//	author:   Yoonsuck Choe <yschoe@cs.utexas.edu>
//	creation: Thu Feb  4 01:24:42 CST 1999
// 
//	$Revision: 1.1 $ $Date: 2002/06/20 22:35:52 $
//	$Log: plotinput.cc,v $
//	Revision 1.1  2002/06/20 22:35:52  yschoe
//	Initial revision
//
//	Revision 1.2  2000/01/30 14:55:55  yschoe
//	*** empty log message ***
//
//	Revision 1.1  1999/02/09 07:56:44  yschoe
//	Initial revision
//
//
//----------------------------------------------------------------------------
//----------------------------------------------------------------------------
// 
//	file: geninptest.cc
// 
//	function: test geninput class 
//	author:   Yoonsuck Choe <yschoe@cs.utexas.edu>
//	creation: Sat Sep 12 03:45:54 CDT 1998
// 
//	Revision: 1.1 Date: 1998/10/16 10:35:21 
//	Log: geninptest.cc,v 
//	Revision 1.1  1998/10/16 10:35:21  yschoe
//	Initial revision
//
//
//----------------------------------------------------------------------------
#include <math.h>
#include <iostream.h>
#include <stream.h>
#include <nnview/real.h>
#include <nnview/matrix_window.h>
#include <nnview/util.h>
#include <nnview/geninput.h>
#include <nnview/inputlist.h>

geninput 	*input;
inputlist	*list;

REAL **mat;


// Main
int main(int argc, char *argv[]) {

  if (argc != 2) {
	cerr << "usage: plotinput <size> < stdin" << endl;
	exit(1);
  }

  int N = atoi(argv[1]);
  
  matrix<REAL> *mat = new matrix<REAL>(N,N); 
  matrix<int> *locmat = new matrix<int>(N,N); 

  // setup input class
  input = new geninput(mat->mat,N,N,INP_SQR,INP_NORM_SQRT);
  input->clear_input();

  list = new inputlist(100,input);
  list->clear_specs();

  int count = 1;
  while (!cin.eof()) {

	int col, row;
	REAL sigx, sigy, ori;
	cin >> col >> row >> sigx >> sigy >> ori;
  	list->add_spec(col,row,sigx,sigy,ori);
	locmat->mat[col][row] = count++;
  }

  list->add_inputs();

  mat->print_matrix();

}
