#!/usr/bin/perl

$usage = <<EOF;
usage: mkwgtorstat.pl [-f|-p] [-m] <n> <wgt_or.stat-filename>
	-f  : phi only
	-p  : prob only
	-m  : max polar instead of probpolar
	<n> : size of map <n> x <n>

EOF


require "getopts.pl";
&Getopts('ptm');
	
if ($#ARGV != 1) {
	print $usage;
	exit;
}

$size = $ARGV[0];
$fname = $ARGV[1];
$option = ($opt_m)?"-maxpolar":"-probpolar";

#----------------------------------------
#	1. make the max theta plot
#----------------------------------------

if (!$opt_p) {
print "\n\n\n** Running procwgtstat-balanced5.pl **\n\n\n\n";
system("procwgtstat-balanced5.pl -freqpolar $size 0.001 $fname > $fname.freqphipolar");

print "\n\n\n** Done **\n\n\n\n";

system("./polarlines3.tcl $fname.freqphipolar");
}

#----------------------------------------
#	2. make the cumulative probability plot
#----------------------------------------

if (!$opt_f) {
print "\n\n\n** Running procwgtstat-balanced5.pl **\n\n\n\n";
system("procwgtstat-balanced5.pl $option $size 0.0 $fname > $fname.freqphiprobpolar");

print "\n\n\n** Running polarmat.pl **\n\n\n\n";
system("polarmat.pl -S -p -a 10 $fname.freqphiprobpolar > $fname.freqphiprobpolar.polarmat");

system("procppmmat $fname.freqphiprobpolar.polarmat");

print "\n\n\n** Done **\n\n\n\n";
}


