# usage: th = topnpercent(X,p)
# 	find the threshold th for the top p*100 % of the whole
#	matrix values 
#	example:
#		th = topnpercent(X,0.75) : for top 75% point
#
#	choe@tamu.edu

function th = topnpercent(X,p)

	[r,c] = size(X);

	# get histogram
	[n,x] = hist(vec(X),r);

	# calculate cumulative sum of the histogram
	cumul = cumsum(n);
	
	# find p*100 % point
	s = sign(cumul.-(max(cumul)*p));
	
	bins = columns(s);
	for i=1:bins
		if (s(i)==1)
			th = x(i);
			break;
		endif
	endfor
endfunction
