## Copyright (C) 2000 uschoe
##
## This file is part of Octave.
##
## Octave is free software; you can redistribute it and/or modify it
## under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2, or (at your option)
## any later version.
##
## Octave is distributed in the hope that it will be useful, but
## WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
## General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with Octave; see the file COPYING.  If not, write to the Free
## Software Foundation, 59 Temple Place - Suite 330, Boston, MA
## 02111-1307, USA.

## usage: M = vectomat(v,c)
## make matrix M from column vector v by chopping it into c column
## rows

## Author: Yoonsuck Choe <yschoe@cs.utexas.edu>

function M = vectomat(v,c)

	r = rows(v);

	M = v(1:c)';

	for i=c+1:c:r-1
		M = [ M ; v(i:i+c-1)' ];
	endfor
endfunction
