# function [C,R] = wgtcontourvalraw(ormap,wgtmat,th,z,x,y) 
#	using ormap and wgtmat,
#	draw contour around wgt using threshold th (0.0--1.0) (absolute value)
#	with zoom of z and mark center x and y
#
#	Assume ormap is already scaled
function [C,R] = wgtcontourvalraw(orm,wgtmat,th,z,x,y) 


	X=supersample(wgtmat,z); 
	ormap=orm; 
	s=rows(wgtmat)*z-1; 

	# get thresholded weight
	T = sign(thresh(X,th)); 

	# get difference matrices (the outline contour)
	dxT = diff(T,1); 
	dyT = diff(T',1)'; 

	C = sign(abs(dxT(1:s,1:s)+dyT(1:s,1:s))); 

	# fix stepped leaks in angular contours
	for i=2:(s-1)
	   for j=2:(s-1)
		if (C(i,j)==0) 
		  u = i-1; d = i+1; l = j-1; r = j+1;
		  if (C(d,j)+C(i,r)==2 && \
			C(i,l)+C(u,j)+C(u,l)+C(d,l)+C(d,r)+C(u,r)==0) 
			C(i,j) = 1;
			endif
		endif
	   endfor
	endfor	
	
	# mark center
	C(z*y-1:z*y+z+1,z*x-1:z*x+z+1) = ones(z+3,z+3); 
	C(z*y+1:z*y+z-1,z*x+1:z*x+z-1) = zeros(z-1,z-1); 
	
	# show the results
	yimage(flipud(C)); 
	R = flipud(min((abs(ones(s,s)-ormap(1:s,1:s).+0.01)),abs(ones(s,s)-C)));

	yimage(R,"hsvmap5");

endfunction



